return {
	color = {.7,.2,.5},
	layout = {
		{1,1,1,0,0,0,1,1,1},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0},
		{1,0,0,0,0,0,0,0,0},
		{1,0,0,0,0,0,0,0,0},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,1},
		{1,1,1,0,0,0,1,1,1}
	},
	on_load = function (map)

		ui:add_named_text("title", map.width + 2, -4, "SETTINGS", {1, 1, 1}, 3, 0)

		--back to main menu
		local function exit_settings (self, player)
			change_level(7, 1, "main_menu")
			_G.options:save()
		end
		map:add_static_object(Event_tile:create(math.floor(map.width / 2) - 1, map.height - 1, map, exit_settings))
		map:add_static_object(Event_tile:create(math.floor(map.width / 2), map.height -1, map, exit_settings))
		map:add_static_object(Event_tile:create(math.floor(map.width / 2) + 1, map.height - 1, map, exit_settings))
		--to gameplay settings
		local function get_gameplay_settings (self, player)
			change_level(1, 10, "settings_gameplay")
			_G.options:save()
		end
		map:add_static_object(Event_tile:create(math.floor(map.width) - 1, math.floor(map.height / 2) - 1, map, get_gameplay_settings))
		map:add_static_object(Event_tile:create(math.floor(map.width) - 1, math.floor(map.height / 2), map, get_gameplay_settings))
		map:add_static_object(Event_tile:create(math.floor(map.width) - 1, math.floor(map.height / 2) + 1, map, get_gameplay_settings))

		local function get_graphics_settings (self, player)
			change_level(4, 7, "settings_graphics")
			_G.options:save()
		end
		map:add_static_object(Event_tile:create(math.floor(map.width / 2) - 1, 0, map, get_graphics_settings))
		map:add_static_object(Event_tile:create(math.floor(map.width / 2), 0, map, get_graphics_settings))
		map:add_static_object(Event_tile:create(math.floor(map.width / 2) + 1, 0, map, get_graphics_settings))

		ui:add_named_text("graphics", 4, -1, "Graphics", {1, 1, 1}, 2, -math.pi / 6.8)
		ui:add_named_text("gameplay", map.width + 1, 2, "Gameplay", {1, 1, 1}, 2, math.pi / 6.8)
	end
}
